Subject: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 18 Mar 2022 09:19:44 -0700

On 03/18/22 11:09 AM, Roland Winkler wrote:
> On Sat, Mar 12 2022, Roland Winkler wrote:
>> I was always surprised that the duplicate emails are "mostly spam".
>> Previously, I sent you my settting of `mail-sources'.  I changed the
>> line
>>
>>   :mailbox ("INBOX" "JUNK EMAIL")
>>
>> to
>>
>>   :mailbox ("JUNK EMAIL" "INBOX")
>>
>> Strange enough, I didn't observe any duplicate message downloads when I
>> tested this for a few days.
>
> One more observation:
>
> The bug appears to be related to :mailbox being a list of folders.
> I just installed a rule on the IMAP server that puts part of my regular
> incoming mail in another folder FOO.  Now downloading the messages from
> the IMAP folder FOO into Gnus gives me more duplicates.  Any IMAP folder
> beyond INBOX appears to show this behavior.

Okay, that's helpful, thanks. I'll try to concentrate on finding
differences in behavior between a single :mailbox and multiple.